call plug#begin('~/.config/nvim/plugged')
Plug 'vim-airline/vim-airline'
Plug 'vim-airline/vim-airline-themes'
Plug 'rainglow/vim'
Plug 'lervag/vimtex'
Plug 'sainnhe/everforest'
call plug#end()

set number
set linespace=3
set cursorline
set nobackup
set noswapfile
set expandtab tabstop=4 shiftwidth=4 softtabstop=4
set showmatch
set hlsearch incsearch ignorecase smartcase

syntax enable
set termguicolors

colorscheme everforest

set clipboard=unnamedplus

let g:airline_theme='deus'
let g:airline_powerline_fonts=1

let python_highlight_all = 1        " syntax highlighting
au BufNewFile,BufRead *.py 
    \ set textwidth=79 |
    \ set expandtab | 
    \ set autoindent | 
    \ set fileformat=unix 

filetype plugin indent on

let g:vimtex_view_method = 'zathura'
" let g:vimtex_compiler_method = 'latexrun'
